      subroutine hec_hv
c
c fill geometry correspondence tables for hv channels
c
      implicit none
c
      include'hec_par.inc'       ! shared parameters
      include'hec_datacard.inc'
c
c check beam period 
c
      if (irunpd.eq.14 .or. irunpd.eq.15) then
        call hec_hv_01
      elseif (irunpd.eq.13 .or. irunpd.eq.12 .or. irunpd.eq.11) then
        call hec_hv_00
      elseif (irunpd.eq.10 .or. irunpd.eq.9) then
        call hec_hv_99
      else
        print *,' *** hv table not available for period', irunpd
      endif
c
      end
        



